明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 1467|回复: 4

用GetPoint获取点坐标.

[复制链接]
发表于 2014-4-23 22:06:59 | 显示全部楼层 |阅读模式
怎么把这个坐标的X,Y值返给一个数组.
发表于 2014-4-23 22:28:29 | 显示全部楼层
本身返回就是一个3个值的数组
 楼主| 发表于 2014-4-23 22:43:15 | 显示全部楼层
lixegn 发表于 2014-4-23 22:28
本身返回就是一个3个值的数组

你能不能写个代码,我写了一个,一直出错,显示主窗口不可见
发表于 2014-4-24 22:07:46 | 显示全部楼层
木頭集 发表于 2014-4-23 22:43
你能不能写个代码,我写了一个,一直出错,显示主窗口不可见

帮助的范例
Sub Example_GetPoint()
    ' This example returns a point entered by the user.
   
    Dim returnPnt As Variant
   
    ' Return a point using a prompt
    returnPnt = ThisDrawing.Utility.GetPoint(, "Enter a point: ")
    MsgBox "The WCS of the point is: " & returnPnt(0) & ", " & returnPnt(1) & ", " & returnPnt(2) & vbCrLf & _
            "(Enter the next value without prompting.)", , "GetPoint 示例"
   
    ' Return a point, no prompt
    returnPnt = ThisDrawing.Utility.GetPoint
    MsgBox "The WCS of the point is: " & returnPnt(0) & ", " & returnPnt(1) & ", " & returnPnt(2), , "GetPoint 示例"
   
    ' Return a point using a base point and a prompt
    Dim basePnt(0 To 2) As Double
    basePnt(0) = 2#: basePnt(1) = 2#: basePnt(2) = 0#
    returnPnt = ThisDrawing.Utility.GetPoint(basePnt, "Enter a point: ")
    MsgBox "The WCS of the point is: " & returnPnt(0) & ", " & returnPnt(1) & ", " & returnPnt(2)
   
    ' Create a line from the base point and the last point entered
    Dim lineObj As AcadLine
    Set lineObj = ThisDrawing.ModelSpace.AddLine(basePnt, returnPnt)
    ZoomAll
   
End Sub
 楼主| 发表于 2014-4-25 09:31:34 | 显示全部楼层
lixegn 发表于 2014-4-24 22:07
帮助的范例
Sub Example_GetPoint()
    ' This example returns a point entered by the user.

非常感谢,问题已经解决、
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-11-25 11:48 , Processed in 0.139243 second(s), 23 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表